"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.csfd = exports.Csfd = void 0;
const cinema_service_1 = require("./services/cinema.service");
const creator_service_1 = require("./services/creator.service");
const movie_service_1 = require("./services/movie.service");
const search_service_1 = require("./services/search.service");
const user_ratings_service_1 = require("./services/user-ratings.service");
class Csfd {
    constructor(userRatingsService, movieService, creatorService, searchService, cinemaService) {
        this.userRatingsService = userRatingsService;
        this.movieService = movieService;
        this.creatorService = creatorService;
        this.searchService = searchService;
        this.cinemaService = cinemaService;
    }
    userRatings(user, config) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.userRatingsService.userRatings(user, config);
        });
    }
    movie(movie) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.movieService.movie(+movie);
        });
    }
    creator(creator) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.creatorService.creator(+creator);
        });
    }
    search(text) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.searchService.search(text);
        });
    }
    cinema(district) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.cinemaService.cinemas(+district);
        });
    }
}
exports.Csfd = Csfd;
const movieScraper = new movie_service_1.MovieScraper();
const userRatingsScraper = new user_ratings_service_1.UserRatingsScraper();
const cinemaScraper = new cinema_service_1.CinemaScraper();
const creatorScraper = new creator_service_1.CreatorScraper();
const searchScraper = new search_service_1.SearchScraper();
exports.csfd = new Csfd(userRatingsScraper, movieScraper, creatorScraper, searchScraper, cinemaScraper);
