import { addProtocol, parseColor, parseIdFromUrl } from './global.helper';
export const getType = (el) => {
    const type = el.querySelectorAll('.film-title-info .info')[1];
    return ((type === null || type === void 0 ? void 0 : type.innerText.replace(/[{()}]/g, '')) || 'film');
};
export const getTitle = (el) => {
    return el.querySelector('.film-title-name').text;
};
export const getYear = (el) => {
    var _a;
    return +((_a = el.querySelectorAll('.film-title-info .info')[0]) === null || _a === void 0 ? void 0 : _a.innerText.replace(/[{()}]/g, ''));
};
export const getUrl = (el) => {
    return el.querySelector('.film-title-name').attributes.href;
};
export const getColorRating = (el) => {
    return parseColor(el.querySelector('.article-header i.icon').classNames.split(' ').pop());
};
export const getPoster = (el) => {
    const image = el.querySelector('img').attributes.src;
    return addProtocol(image);
};
export const getOrigins = (el) => {
    var _a;
    const originsRaw = el.querySelector('.article-content p .info').text;
    const originsAll = (_a = originsRaw === null || originsRaw === void 0 ? void 0 : originsRaw.split(', ')) === null || _a === void 0 ? void 0 : _a[0];
    return originsAll === null || originsAll === void 0 ? void 0 : originsAll.split('/').map((country) => country.trim());
};
export const parsePeople = (el, type) => {
    let who;
    if (type === 'directors')
        who = 'Režie:';
    if (type === 'actors')
        who = 'Hrají:';
    const peopleNode = Array.from(el && el.querySelectorAll('.article-content p')).find((el) => el.textContent.includes(who));
    if (peopleNode) {
        const people = Array.from(peopleNode.querySelectorAll('a'));
        return people.map((person) => {
            return {
                id: parseIdFromUrl(person.attributes.href),
                name: person.innerText.trim(),
                url: `https://www.csfd.cz${person.attributes.href}`
            };
        });
    }
    else {
        return [];
    }
};
