import { parseIdFromUrl } from './global.helper';
export const getId = (el) => {
    const url = el.querySelector('td.name .film-title-name').attributes.href;
    return parseIdFromUrl(url);
};
export const getUserRating = (el) => {
    const ratingText = el.querySelector('td.star-rating-only .stars').classNames.split(' ').pop();
    const rating = ratingText.includes('stars-') ? +ratingText.split('-').pop() : 0;
    return rating;
};
export const getType = (el) => {
    const typeText = el.querySelectorAll('td.name .film-title-info .info');
    return (typeText.length > 1 ? typeText[1].text.slice(1, -1) : 'film');
};
export const getTitle = (el) => {
    return el.querySelector('td.name .film-title-name').text;
};
export const getYear = (el) => {
    return +el.querySelectorAll('td.name .film-title-info .info')[0].text.slice(1, -1);
};
export const getColorRating = (el) => {
    const color = parseColor(el.querySelector('td.name .icon').classNames.split(' ').pop());
    return color;
};
export const getDate = (el) => {
    return el.querySelector('td.date-only').text.trim();
};
export const getUrl = (el) => {
    const url = el.querySelector('td.name .film-title-name').attributes.href;
    return `https://www.csfd.cz${url}`;
};
export const parseColor = (quality) => {
    switch (quality) {
        case 'lightgrey':
            return 'unknown';
        case 'red':
            return 'good';
        case 'blue':
            return 'average';
        case 'grey':
            return 'bad';
        default:
            return 'unknown';
    }
};
// Sleep in loop
export const sleep = (ms) => new Promise((res) => setTimeout(res, ms));
