var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { CinemaScraper } from './services/cinema.service';
import { CreatorScraper } from './services/creator.service';
import { MovieScraper } from './services/movie.service';
import { SearchScraper } from './services/search.service';
import { UserRatingsScraper } from './services/user-ratings.service';
export class Csfd {
    constructor(userRatingsService, movieService, creatorService, searchService, cinemaService) {
        this.userRatingsService = userRatingsService;
        this.movieService = movieService;
        this.creatorService = creatorService;
        this.searchService = searchService;
        this.cinemaService = cinemaService;
    }
    userRatings(user, config) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.userRatingsService.userRatings(user, config);
        });
    }
    movie(movie) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.movieService.movie(+movie);
        });
    }
    creator(creator) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.creatorService.creator(+creator);
        });
    }
    search(text) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.searchService.search(text);
        });
    }
    cinema(district) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.cinemaService.cinemas(+district);
        });
    }
}
const movieScraper = new MovieScraper();
const userRatingsScraper = new UserRatingsScraper();
const cinemaScraper = new CinemaScraper();
const creatorScraper = new CreatorScraper();
const searchScraper = new SearchScraper();
export const csfd = new Csfd(userRatingsScraper, movieScraper, creatorScraper, searchScraper, cinemaScraper);
