var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { parse } from 'node-html-parser';
import { fetchPage } from '../fetchers';
import { cinemasUrl } from '../vars';
import { getCinemaId, getCinemaUrl, getCoords, getGroupedFilmsByDate, parseCinema } from './../helpers/cinema.helper';
export class CinemaScraper {
    cinemas(district = 1, period = 'today') {
        return __awaiter(this, void 0, void 0, function* () {
            const url = cinemasUrl(district, period);
            const response = yield fetchPage(url);
            const cinemasHtml = parse(response);
            const contentNode = cinemasHtml.querySelectorAll('#snippet--cinemas section.box');
            this.buildCinemas(contentNode);
            return this.cinema;
        });
    }
    buildCinemas(contentNode) {
        const cinemas = [];
        contentNode.map((x) => {
            var _a, _b;
            const cinema = {
                id: getCinemaId(x),
                name: (_a = parseCinema(x)) === null || _a === void 0 ? void 0 : _a.name,
                city: (_b = parseCinema(x)) === null || _b === void 0 ? void 0 : _b.city,
                url: getCinemaUrl(x),
                coords: getCoords(x),
                screenings: getGroupedFilmsByDate(x)
            };
            cinemas.push(cinema);
        });
        this.cinema = cinemas;
    }
}
