var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { parse } from 'node-html-parser';
import { fetchPage } from '../fetchers';
import { getBio, getBirthdayInfo, getFilms, getName, getPhoto } from '../helpers/creator.helper';
import { creatorUrl } from '../vars';
export class CreatorScraper {
    creator(creatorId) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = creatorUrl(+creatorId);
            const response = yield fetchPage(url);
            const creatorHtml = parse(response);
            const asideNode = creatorHtml.querySelector('.creator-about');
            const filmsNode = creatorHtml.querySelector('.creator-filmography');
            this.buildCreator(+creatorId, asideNode, filmsNode);
            return this.person;
        });
    }
    buildCreator(id, asideEl, filmsNode) {
        var _a, _b, _c;
        this.person = {
            id,
            name: getName(asideEl),
            birthday: (_a = getBirthdayInfo(asideEl)) === null || _a === void 0 ? void 0 : _a.birthday,
            birthplace: (_b = getBirthdayInfo(asideEl)) === null || _b === void 0 ? void 0 : _b.birthPlace,
            photo: getPhoto(asideEl),
            age: ((_c = getBirthdayInfo(asideEl)) === null || _c === void 0 ? void 0 : _c.age) || null,
            bio: getBio(asideEl),
            films: getFilms(filmsNode)
        };
    }
}
