import { HTMLElement } from 'node-html-parser';
import { CSFDColorRating } from '../interfaces/global';
import { CSFDBoxContent, CSFDCreator, CSFDCreatorGroups, CSFDGenres, CSFDMovieListItem, CSFDPremiere, CSFDTitlesOther, CSFDVod } from '../interfaces/movie.interface';
export declare const getId: (el: HTMLElement) => number;
export declare const getTitle: (el: HTMLElement) => string;
export declare const getGenres: (el: HTMLElement) => CSFDGenres[];
export declare const getOrigins: (el: HTMLElement) => string[];
export declare const getColorRating: (bodyClasses: string[]) => CSFDColorRating;
export declare const getRating: (el: HTMLElement) => number;
export declare const getRatingCount: (el: HTMLElement) => number;
export declare const getYear: (el: string) => number;
export declare const getDuration: (jsonLdRaw: string, el: HTMLElement) => number;
export declare const getTitlesOther: (el: HTMLElement) => CSFDTitlesOther[];
export declare const getPoster: (el: HTMLElement | null) => string;
export declare const getRandomPhoto: (el: HTMLElement | null) => string;
export declare const getTrivia: (el: HTMLElement | null) => string[];
export declare const getDescriptions: (el: HTMLElement) => string[];
export declare const parsePeople: (el: HTMLElement) => CSFDCreator[];
export declare const getGroup: (el: HTMLElement, group: CSFDCreatorGroups) => CSFDCreator[];
export declare const getType: (el: HTMLElement) => string;
export declare const getVods: (el: HTMLElement | null) => CSFDVod[];
export declare const getBoxContent: (el: HTMLElement, box: string) => HTMLElement;
export declare const getBoxMovies: (el: HTMLElement, boxName: CSFDBoxContent) => CSFDMovieListItem[];
export declare const getPremieres: (el: HTMLElement) => CSFDPremiere[];
export declare const getTags: (el: HTMLElement) => string[];
