import { CSFDCinema } from 'interfaces/cinema.interface';
import { CSFDCreator } from './interfaces/creator.interface';
import { CSFDMovie } from './interfaces/movie.interface';
import { CSFDSearch } from './interfaces/search.interface';
import { CSFDUserRatingConfig, CSFDUserRatings } from './interfaces/user-ratings.interface';
import { CinemaScraper } from './services/cinema.service';
import { CreatorScraper } from './services/creator.service';
import { MovieScraper } from './services/movie.service';
import { SearchScraper } from './services/search.service';
import { UserRatingsScraper } from './services/user-ratings.service';
export declare class Csfd {
    private userRatingsService;
    private movieService;
    private creatorService;
    private searchService;
    private cinemaService;
    constructor(userRatingsService: UserRatingsScraper, movieService: MovieScraper, creatorService: CreatorScraper, searchService: SearchScraper, cinemaService: CinemaScraper);
    userRatings(user: string | number, config?: CSFDUserRatingConfig): Promise<CSFDUserRatings[]>;
    movie(movie: number): Promise<CSFDMovie>;
    creator(creator: number): Promise<CSFDCreator>;
    search(text: string): Promise<CSFDSearch>;
    cinema(district: number): Promise<CSFDCinema[]>;
}
export declare const csfd: Csfd;
